<template>
  <header class="gl-border gl-flex gl-items-center gl-border-gray-50 gl-bg-gray-10 gl-px-5 gl-py-3">
    <img
      src="~/assets/images/pajamas_logo.svg"
      alt=""
      class="pajamas-logo-dimensions gl-self-start"
    />

    <h1 class="gl-ml-3 gl-mr-3 gl-text-size-h1">
      Pajamas
      <div class="gl-text-sm gl-font-normal gl-text-gray-500">Adoption Scanner Dashboard</div>
    </h1>

    <nav aria-label="Pages">
      <ul class="gl-m-0 gl-flex gl-list-none gl-p-0">
        <li v-for="(text, route) in $options.links" :key="route" class="gl-ml-3">
          <gl-link v-if="route.startsWith('https:')" :class="$options.linkClass" :href="route">
            {{ text }}
            <gl-icon name="external-link" :size="14" />
          </gl-link>
          <nuxt-link
            v-else
            :to="route"
            exact-path
            active-class="gl-bg-gray-50"
            :class="$options.linkClass"
            >{{ text }}</nuxt-link
          >
        </li>
      </ul>
    </nav>
  </header>
</template>

<script>
import GlIcon from '@gitlab/ui/src/components/base/icon/icon.vue';
import GlLink from '@gitlab/ui/src/components/base/link/link.vue';

export default {
  name: 'PageHeader',
  components: {
    GlIcon,
    GlLink,
  },
  links: {
    '/': 'Current',
    '/history': 'History',
    '/rules': 'Rules',
    'https://gitlab.com/gitlab-org/frontend/pajamas-adoption-scanner': 'Repository',
  },
  linkClass:
    'gl-text-base gl-text-primary !gl-no-underline hover:gl-bg-gray-50 hover:gl-text-gray-900 gl-rounded-base gl-p-3',
};
</script>
